Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 570694 (CVE-2016-1283) - <dev-libs/libpcre-8.38-r1: Heap Overflow Vulnerability (CVE-2016-1283)
Summary: <dev-libs/libpcre-8.38-r1: Heap Overflow Vulnerability (CVE-2016-1283)
Status: RESOLVED FIXED
Alias: CVE-2016-1283
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://bugs.exim.org/show_bug.cgi?id...
Whiteboard: A2 [glsa cve]
Keywords:
: 573842 (view as bug list)
Depends on: ZDI-CAN-3542
Blocks:
  Show dependency tree
 
Reported: 2016-01-03 09:48 UTC by Agostino Sarubbo
Modified: 2017-11-06 21:18 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-01-03 09:48:58 UTC
From ${URL} :

PCRE library is prone to a vulnerability which leads to Heap Overflow.
During the compilation of a malformed regular expression, more data is
written on the malloced block than the expected size output by
compile_regex. Carefully crafted my lead to code execution in the context
of affected applications.

Reference:
https://bugs.exim.org/show_bug.cgi?id=1767



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Agostino Sarubbo gentoo-dev 2016-02-04 17:05:01 UTC
*** Bug 573842 has been marked as a duplicate of this bug. ***
Comment 2 SpanKY gentoo-dev 2016-04-02 20:51:53 UTC
added upstream patches; should be fined to stable:
https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cee01d4f06b3984b8211bd3c27358f7d18cf90fb
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2016-06-20 10:24:59 UTC
CVE-2016-1283 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1283):
  The pcre_compile2 function in pcre_compile.c in PCRE 8.38 mishandles the
  /((?:F?+(?:^(?(R)a+\"){99}-))(?J)(?'R'(?'R'<((?'RR'(?'R'\){97)?J)?J)(?'R'(?'R'\){99|(:(?|(?'R')(\k'R')|((?'R')))H'R'R)(H'R))))))/
  pattern and related patterns with named subgroups, which allows remote
  attackers to cause a denial of service (heap-based buffer overflow) or
  possibly have unspecified other impact via a crafted regular expression, as
  demonstrated by a JavaScript RegExp object encountered by Konqueror.
Comment 4 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-06-20 10:33:38 UTC
Added to existing GLSA.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-07-09 02:12:06 UTC
This issue was resolved and addressed in
 GLSA 201607-02 at https://security.gentoo.org/glsa/201607-02
by GLSA coordinator Aaron Bauman (b-man).